GradleTaskCommandAdapter (Grails 6.0.0)

Package: org.grails.cli.gradle.commands

## [Groovy] Class GradleTaskCommandAdapter

- org.grails.cli.gradle.commands.GradleTaskCommandAdapter

- All Implemented Interfaces and Traits:
    ProfileCommand

      @groovy.transform.CompileStatic
      class GradleTaskCommandAdapter
      extends java.lang.Object
      implements ProfileCommand

  Adapts a Named command into a Gradle task execution

  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private Named` | `adapted` |
    `private Profile` | `profile` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Named` | `adapted`
    `Profile` | `profile`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GradleTaskCommandAdapter (Profile profile, Named adapted)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `CommandDescription` | `getDescription()`
    `` | `java.lang.String` | `getName()`
    `` | `boolean` | `handle(ExecutionContext executionContext)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private final Named adapted

    - #### private Profile profile

  - ### Property Detail

    - #### final Named adapted

    - #### Profile profile

  - ### Constructor Detail

    - #### GradleTaskCommandAdapter(Profile profile, Named adapted)

  - ### Method Detail

    - #### @java.lang.Override CommandDescription getDescription()

    - #### @java.lang.Override java.lang.String getName()

    - #### @java.lang.Override @groovy.transform.CompileDynamic boolean handle(ExecutionContext executionContext)